workspaces_update
const url = 'https://example.com/api/workspaces/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0';const options = { method: 'PUT', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"name":"example","description":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://example.com/api/workspaces/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "name": "example", "description": "example" }'Update a workspace item.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”A UUID string identifying this workspace.
Request Bodyrequired
Section titled “Request Bodyrequired”Serializer for handling workspace data, including creator and editor information.
object
Return the interactor information of the object’s creator.
Parameters
obj : Workspace The object containing the creator information.
Returns
dict The interactor information of the creator.
object
Return information about the last interactor who edited the object.
Parameters
obj : Workspace The object containing the last editor information.
Returns
dict The interactor information of the last editor.
object
Example generated
{ "name": "example", "description": "example"}Serializer for handling workspace data, including creator and editor information.
object
Return the interactor information of the object’s creator.
Parameters
obj : Workspace The object containing the creator information.
Returns
dict The interactor information of the creator.
object
Return information about the last interactor who edited the object.
Parameters
obj : Workspace The object containing the last editor information.
Returns
dict The interactor information of the last editor.
object
Example generated
name=example&description=exampleSerializer for handling workspace data, including creator and editor information.
object
Return the interactor information of the object’s creator.
Parameters
obj : Workspace The object containing the creator information.
Returns
dict The interactor information of the creator.
object
Return information about the last interactor who edited the object.
Parameters
obj : Workspace The object containing the last editor information.
Returns
dict The interactor information of the last editor.
object
Responses
Section titled “Responses”Serializer for handling workspace data, including creator and editor information.
object
Return the interactor information of the object’s creator.
Parameters
obj : Workspace The object containing the creator information.
Returns
dict The interactor information of the creator.
object
Return information about the last interactor who edited the object.
Parameters
obj : Workspace The object containing the last editor information.
Returns
dict The interactor information of the last editor.
object
Example generated
{ "name": "example", "description": "example"}object
object
Example
{ "code": "body_validation_error", "message": "The request body does not match the schema for the expected parameters. Check the `details` property for more details.", "details": [ { "parameter": "<parameter>", "code": "not_supported", "message": "This field is not supported." } ]}object
object
Example
{ "code": "object_not_found", "message": "Object not found. Check the `details` property for more details.", "details": [ { "parameter": "<id>", "code": "does_not_exist", "message": "\"<id>\" does not exist." } ]}
